%define Werror_cflags %{nil}

%define	major 2
%define libname %mklibname wireshark %{major}
%define libname_devel %mklibname -d wireshark

Summary:	Network traffic analyzer
Name:		wireshark
Version:	1.8.7
Release:	%mkrel 1
License:	GPLv2+ and GPLv3
Group: 		Monitoring
URL: 		http://www.wireshark.org
Source0:	http://www.wireshark.org/download/src/%{name}-%{version}.tar.bz2
Source1:	http://www.wireshark.org/download/src/all-versions/SIGNATURES-%{version}.txt
Source10:	README.urpmi
Patch0:		wireshark_help_browser.patch
# improve error messages when calling lua functions, partial fix for mga#2352
Patch2:		wireshark-1.4.6-mga-improve_lua_error_messages.patch
Patch4:		wireshark-plugindir.patch
Patch5:		wireshark-1.8.0-enable_gnutls3.patch
Requires:	dumpcap
BuildRequires:	doxygen
BuildRequires:	glib2-devel
BuildRequires:	gtk+2-devel
BuildRequires:	krb5-devel
BuildRequires:	libcap-devel
BuildRequires:	libelf-devel
BuildRequires:	libpcap-devel >= 0.7.2
BuildRequires:	libsmi-devel
BuildRequires:	openssl-devel
BuildRequires:	pcre-devel
BuildRequires:	lua5.1-devel
BuildRequires:	portaudio-devel
BuildRequires:	libgcrypt-devel >= 1.1.92
BuildRequires:	libgnutls-devel >= 1.2.0
BuildRequires:	zlib-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	geoip-devel

%description
Wireshark is a network traffic analyzer for Unix-ish operating systems. It is
based on GTK+, a graphical user interface library, and libpcap, a packet
capture and filtering library.

%package -n	%{libname}
Summary:	Network traffic and protocol analyzer libraries
Group:		System/Libraries

%description -n	%{libname}
Wireshark is a network traffic analyzer for Unix-ish operating systems. It is
based on GTK+, a graphical user interface library, and libpcap, a packet
capture and filtering library.

%package -n	%{libname_devel}
Summary:	Development files for %{name}
Group:		Development/Other
Provides:	libwireshark-devel = %{version}
Provides:	wireshark-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{libname_devel}
This package contains files used for development with %{name}.


%package	tools
Summary:	Tools for manipulating capture files
Group:		Monitoring

%description	tools
Set of tools for manipulating capture files. Contains:

- editcap - Edit and/or translate the format of capture files
- mergecap - Merges two capture files into one
- text2cap - Generate a capture file from an ASCII hexdump of packets

%package -n	tshark
Summary:	Text-mode network traffic and protocol analyzer
Group:		Monitoring
Requires:	dumpcap

%description -n	tshark
Tshark is a network protocol analyzer. It lets you capture packet data from a
live network, or read packets from a previously saved capture file, either
printing a decoded form of those packets to the standard output or writing the
packets to a file. Twireshark's native capture file format is libpcap format,
which is also the format used by tcpdump and various other tools.

%package -n	rawshark
Summary:	Dump and analyze raw libpcap data
Group:		Monitoring

%description -n rawshark
Rawshark reads a stream of packets from a file or pipe, and prints a line
describing its output, followed by a set of matching fields for each packet on
stdout.

%package -n	dumpcap
Summary:	Network traffic dump tool
Group:		Monitoring

%description -n dumpcap
Dumpcap is a network traffic dump tool. It lets you capture packet data from a
live network and write the packets to a file. Many wireshark utilities require it.

%prep
%setup -q
%patch0 -p0
%patch2 -p1 -b .improve_lua_error_messages
%patch4 -p0 -b .plugindir
%patch5 -p0 -b .gnutls3

# README.urpmi
install -Dm644 %{SOURCE10} .

%build
autoreconf -fi
%configure2_5x \
    --disable-static \
    --disable-warnings-as-errors \
    --enable-warnings-as-errors=no \
    --disable-usr-local \
    --enable-wireshark \
    --enable-packet-editor \
    --enable-tshark \
    --enable-editcap \
    --enable-capinfos \
    --enable-mergecap \
    --enable-text2pcap \
    --enable-dftest \
    --enable-randpkt \
    --enable-airpcap \
    --enable-dumpcap \
    --enable-rawshark \
    --enable-ipv6 \
    --enable-setuid-install \
    --with-dumpcap-group=wireshark \
    --with-gnutls=yes \
    --with-gcrypt=yes \
    --with-geoip=yes \
    --with-krb5 \
    --with-adns=no \
    --with-gtk3=no \
    --with-libsmi=%{_prefix} \
    --with-pcap=%{_prefix} \
    --with-zlib=%{_prefix} \
    --with-lua=%{_prefix} \
    --with-portaudio=%{_prefix} \
    --with-libcap=%{_prefix} \
    --with-ssl=%{_prefix} \
    --with-plugins=%{_libdir}/%{name} 

%make

%install
%makeinstall_std 

# icons
install -Dpm0644 image/wsicon16.png %{buildroot}%{_miconsdir}/%{name}.png
install -Dpm0644 image/wsicon32.png %{buildroot}%{_iconsdir}/%{name}.png
install -Dpm0644 image/wsicon48.png %{buildroot}%{_liconsdir}/%{name}.png

# XDG menu
install -d %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Wireshark
Comment=Network traffic analyzer
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-System-Monitoring;System;Monitor;
EOF

# remove uneeded files
find %{buildroot} -name "*.la" -delete

# install includes
mkdir -p %{buildroot}%{_includedir}/wireshark
for include in `find epan -type f -name '*.h'`; do
        mkdir -p %{buildroot}%{_includedir}/wireshark/`dirname $include`
        install -m 0644 $include %{buildroot}%{_includedir}/wireshark/`dirname $include`
done

# remaining include files
install -m 0644 *.h %{buildroot}%{_includedir}/wireshark
mkdir -p %{buildroot}%{_includedir}/wireshark/wiretap
install -m 0644 wiretap/*.h %{buildroot}%{_includedir}/wireshark/wiretap

%pre -n dumpcap
if ! getent group wireshark > /dev/null ;then
	%{_sbindir}/groupadd -r -f wireshark
fi

%files -n dumpcap
%attr(4750, root, wireshark) %{_bindir}/dumpcap
%{_mandir}/man1/dumpcap.1*

%files
%doc README.urpmi
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_datadir}/%{name}
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_mandir}/man1/%{name}.1*
%{_mandir}/man4/%{name}-filter.4*
%{_datadir}/applications/*.desktop

%files tools
%{_bindir}/capinfos
%{_bindir}/dftest
%{_bindir}/editcap
%{_bindir}/mergecap
%{_bindir}/randpkt
%{_bindir}/text2pcap
%{_mandir}/man1/capinfo*
%{_mandir}/man1/dftest*
%{_mandir}/man1/editcap*
%{_mandir}/man1/mergecap*
%{_mandir}/man1/randpkt*
%{_mandir}/man1/text2pcap*

%files -n tshark
%doc README.urpmi
%{_bindir}/tshark
%{_mandir}/man1/tshark*

%files -n rawshark
%{_bindir}/rawshark
%{_mandir}/man1/rawshark.1*

%files -n %{libname}
%doc AUTHORS NEWS README{,.[lv]*} doc/{randpkt.txt,README.*}
%{_libdir}/libwireshark.so.%{major}*
%{_libdir}/libwiretap.so.%{major}*
%{_libdir}/libwsutil.so.%{major}*

%files -n %{libname_devel}
%doc ChangeLog
%{_includedir}/wireshark
%{_libdir}/libwireshark.so
%{_libdir}/libwiretap.so
%{_libdir}/libwsutil.so


%changelog
* Fri May 24 2013 luigiwalser <luigiwalser> 1.8.7-1.mga3
+ Revision: 426396
- 1.8.7
- remove automake 1.13 patch (fixed upstream)

* Thu Mar 07 2013 luigiwalser <luigiwalser> 1.8.6-1.mga3
+ Revision: 401598
- 1.8.6

* Wed Jan 30 2013 luigiwalser <luigiwalser> 1.8.5-1.mga3
+ Revision: 393525
- 1.8.5

* Mon Jan 14 2013 umeabot <umeabot> 1.8.4-5.mga3
+ Revision: 385717
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 1.8.4-4.mga3
+ Revision: 337904
- patch6: fix build with automake 1.13

* Wed Dec 19 2012 wally <wally> 1.8.4-3.mga3
+ Revision: 332816
- add README.urpmi about capturing packets (based on README.debian)
- allow non-root users capture packets only if they're members of wireshark group
- create wireshark group for dumpcap

* Sat Dec 01 2012 wally <wally> 1.8.4-2.mga3
+ Revision: 324195
- install dumpcap setuid root as upstream suggests (to allow to start wireshark as normal user)
- drop run-as-root hacks
- drop .la files
- clean .spec a bit

* Thu Nov 29 2012 luigiwalser <luigiwalser> 1.8.4-1.mga3
+ Revision: 322929
- 1.8.4

* Wed Oct 03 2012 luigiwalser <luigiwalser> 1.8.3-1.mga3
+ Revision: 302296
- 1.8.3

* Thu Aug 16 2012 luigiwalser <luigiwalser> 1.8.2-1.mga3
+ Revision: 281455
- 1.8.2

* Thu Aug 09 2012 luigiwalser <luigiwalser> 1.8.1-1.mga3
+ Revision: 280178
- 1.8.1 (fixes CVE-2012-4048 and CVE-2012-4049)
- fix library major number
- add patches from mdv to fix plugin directory and building with gnutls3

* Mon Jul 09 2012 guillomovitch <guillomovitch> 1.8.0-1.mga3
+ Revision: 269054
- new version
- drop plugins patch: no need to change directory name
- data files are not configuration files

  + doktor5000 <doktor5000>
    - new security/bugfix release 1.6.8
      o Infinite and large loops in ANSI MAP, BACapp, Bluetooth HCI, IEEE 802.3,
        LTP, and R3 dissectors have been fixed. Discovered by Laurent Butti
        (http://www.wireshark.org/security/wnpa-sec-2012-08.html [CVE-2012-2392])
      o The DIAMETER dissector could try to allocate memory improperly and crash
        (http://www.wireshark.org/security/wnpa-sec-2012-09.html [CVE-2012-2393])
      o Wireshark could crash on SPARC processors due to misaligned memory.
        Discovered by Klaus Heckelmann
        (http://www.wireshark.org/security/wnpa-sec-2012-10.html [CVE-2012-2394])
      o fixes 12 various other bugs (not security-related)

* Mon Apr 16 2012 doktor5000 <doktor5000> 1.6.7-1.mga2
+ Revision: 231110
- new version 1.6.7
  o fixes a bug with Malformed Packets H263-1996 [RFC2190]
    (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6996)
  o fixes a crash when trying to open an rpcap: URL
    (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6922)

* Wed Mar 28 2012 guillomovitch <guillomovitch> 1.6.6-1.mga2
+ Revision: 227240
- new version

* Wed Jan 11 2012 guillomovitch <guillomovitch> 1.6.5-1.mga2
+ Revision: 194997
- new version

  + fwang <fwang>
    - new version 1.6.4

* Sat Nov 05 2011 fwang <fwang> 1.6.3-1.mga2
+ Revision: 163253
- new version 1.6.3

* Fri Oct 14 2011 doktor5000 <doktor5000> 1.6.2-2.mga2
+ Revision: 155240
- added improve_lua_error_messages.patch, improves error messages when calling
  disabled lua functions when run as root, partial fix for (mga#2352)
- added skip_disabled_function_when_running_as_root.patch, skips disabled
  dofile function call when run as root, removes error message (mga#2352)

* Fri Sep 09 2011 fwang <fwang> 1.6.2-1.mga2
+ Revision: 141703
- new version 1.6.2
- rebuild forne new gnutls
- new version 1.6.1

  + ahmad <ahmad>
    - Replace libgeoip-devel with geoip-devel

* Wed Jul 06 2011 dams <dams> 1.6.0-1.mga2
+ Revision: 119324
- update to 1.6.0
- clean spec file

* Wed Apr 27 2011 wally <wally> 1.4.6-2.mga1
+ Revision: 92025
- fix desktop file names (mga#954)
- drop buildroot definition

* Wed Apr 20 2011 pterjan <pterjan> 1.4.6-1.mga1
+ Revision: 88879
- Update to 1.4.6

  + ennael <ennael>
    - clean spec file

* Fri Mar 04 2011 pterjan <pterjan> 1.4.4-1.mga1
+ Revision: 64182
- Drop plenty of old stuff
- imported package wireshark

